Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.calendar
Class SetCalendarReferences

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.calendar.SetCalendarReferences

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<VoidResult>, net.customware.gwt.dispatch.shared.Action<VoidResult>

    public class SetCalendarReferences

extends java.lang.Object
implements OSAction<VoidResult>

Assign Calendar References to model entities. The assignments will overwrite any existing assignments to the same model entities.

©2012 TIBCO Software Inc.

Constructor Summary
`SetCalendarReferences(java.util.ArrayList<CalendarAssignment> calendarAssignments)` Constructor for SetCalendarReferences.

Method Summary
`java.util.ArrayList<CalendarAssignment>` | `getCalendarAssignments()` Gets a array list of CalendarAssignments.
`void` | `setCalendarAssignments(java.util.ArrayList<CalendarAssignment> calendarAssignments)` Sets a array list of CalendarAssignments.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetCalendarReferences

    public SetCalendarReferences(java.util.ArrayList<CalendarAssignment> calendarAssignments)

  Constructor for SetCalendarReferences.

  Parameters:
    `aAssignments` - identifies the model-entities whose calendar alias values are to be set, and the aliases to be set.

Method Detail

### getCalendarAssignments

    public java.util.ArrayList<CalendarAssignment> getCalendarAssignments()

  Gets a array list of CalendarAssignments.

  Returns:

### setCalendarAssignments

    public void setCalendarAssignments(java.util.ArrayList<CalendarAssignment> calendarAssignments)

  Sets a array list of CalendarAssignments.

  Parameters:
    `calendarAssignments` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.